<app-loading *ngIf="loadingPage"></app-loading>
<div class="content-header">
  <div class="main-approve-line__right">
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="approveLine(true)" [mbIsDisable]="loadingPage"
      *ngIf="objFunction.approve" mbButtonText='Phê duyệt'></mb-button>
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='DEFAULT' (click)="showRejectForm()" [mbIsDisable]="loadingPage"
      *ngIf="objFunction.approve" mbButtonText='Từ chối'></mb-button>
  </div>
</div>

<nz-card class="main-approve-line-card">
  <div nz-row>
    <div nz-col nzSpan="6" class="main-approve-line-card__left">
      <mb-select-check-able [mbDataSelects]="lineList" mbKeyLabel="name" mbKeyValue="id"
        mbLabelText="{{'Line' | translate}}" mbPlaceholder="{{'Chọn line' | translate}}" mbType="default"
        [mbShowAction]="false" (mbEventEmit)='onSelectLine($event)' [(ngModel)]="searchObj.ids"></mb-select-check-able>
    </div>
    <div nz-col nzSpan="6" class="main-approve-line-card__center">
      <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'Ngày hiệu lực' | translate}}" mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="searchObj.fromDate"></mb-date-picker>
    </div>
    <div nz-col nzSpan="6" class="main-approve-line-card__button-search">
      <mb-button mbButtonSize='VERY_LARGE' mbButtonAvailableStyle='CUSTOM' (click)="search()" mbButtonText='Tìm kiếm'>
      </mb-button>
    </div>
  </div>
</nz-card>

<div class="input-style input-style__input">
  <mb-input-text [(ngModel)]="description" [mbType]="isValid ? 'error' : 'default'" [mbShowError]="isValid"
    mbPlaceholderText="{{'Nhập thông tin phê duyệt...' | translate}}" [mbMaxLength]="400">
  </mb-input-text>
  <div class="error" *ngIf="isValid">
    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
    <span>Trường bắt buộc nhập</span>
  </div>
  <div class="max-length-input"><span>{{description?.length}}/400</span></div>
</div>
<div class="ant-table-content">
  <nz-table class="mg-table" [nzData]="initData" [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
    [nzScroll]="initData.length > 0?{y:'390px'}:{}" nzSize="small">
    <thead>
      <tr>
        <th [nzShowCheckbox]="true" [nzChecked]="checked" [nzIndeterminate]="indeterminate"
          (nzCheckedChange)="onAllChecked($event)" nzWidth="100px" nzLeft scope="col"></th>
        <th nzWidth="100px" nzLeft scope="col">STT</th>
        <th scope="col"> Line</th>
        <th scope="col">Ngày hiệu lực</th>
        <th scope="col">Ngày hết hiệu lực</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of rowSelectionTable.data, let i = index" (dblclick)="viewDetail(data.id)">
        <td [nzChecked]="setOfCheckedId.has(data.id)" (nzCheckedChange)="onItemChecked(data.id, $event)" nzLeft>
        </td>
        <td nzLeft>{{(searchObj.page * searchObj.size) + (i+1)}}</td>
        <td>{{data.name}}</td>
        <td>{{data.fromDate | date: 'dd/MM/yyyy'}}</td>
        <td>{{data.toDate | date: 'dd/MM/yyyy'}}</td>
      </tr>
    </tbody>
  </nz-table>
</div>
<div class="pagination">
  <div *ngIf="initData.length === 0; else elseTplNoti">
    <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text"> Tìm thấy {{ initData.length }} kết quả </span>
  </div>
  <ng-template #elseTplNoti>
    <div class="pagination__table-info">
      <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt=""/>
      <span class="pagination__table-info--text">Tìm thấy {{ pagination.totalElements }} kết quả, hiển thị từ
        {{ pagination.size * (pagination.currentPage-1) + 1 }} đến
        {{ pagination.size * pagination.currentPage}}</span>
    </div>
  </ng-template>
  <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
    [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon"></nz-pagination>
</div>

<nz-modal [(nzVisible)]="isVisibleReject" (nzOnCancel)=" handleCancelReject()" (nzOnOk)="handleOk()" nzOkText="Hoàn tất"
  nzCancelText="Hủy">
  <ng-container #modalTitle>
    <div style="display: flex; align-items: center; flex-direction: column;">
      <img src="assets/images/icon/illustration.svg" width="71" height="60" alt="">
      <p style="    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    margin-top: 27px;
">Thông tin từ chối</p>
      <p>Nhập lý do từ chối thông tin</p>
    </div>
  </ng-container>
  <ng-container #modalContent>
    <form [formGroup]="commentForm">
      <nz-form-item>
        <nz-form-control nzErrorTip="Vui lòng nhập ý kiến phê duyệt!">
          <textarea rows="3" formControlName="comment" nz-input style=" border-radius: 4px;
        padding: 10px 8px;"></textarea>
        </nz-form-control>
      </nz-form-item>
    </form>

  </ng-container>
</nz-modal>
